Name:           maven-shade-plugin
Version:        2.1
Release:        %mkrel 2
Summary:        This plugin provides the capability to package the artifact in an uber-jar
License:        ASL 2.0
Group:          Development/Java
URL:            http://maven.apache.org/plugins/%{name}
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  java-devel
BuildRequires:  mvn(asm:asm)
BuildRequires:  mvn(asm:asm-commons)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.jdom:jdom)
BuildRequires:  mvn(org.vafer:jdependency)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

Obsoletes:      maven2-plugin-shade <= 0:2.0.8
Provides:       maven2-plugin-shade = 1:%{version}-%{release}

%description
This plugin provides the capability to package the artifact in an
uber-jar, including its dependencies and to shade - i.e. rename - the
packages of some of the dependencies.


%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description javadoc
%{summary}.

%prep
%setup -q
rm src/test/jars/plexus-utils-1.4.1.jar
ln -s $(build-classpath plexus/utils) src/test/jars/plexus-utils-1.4.1.jar

%build
# A class from aopalliance is not found. Simply adding BR does not solve it
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1-2.mga4
+ Revision: 541877
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 487955
- New version

* Wed Jul 10 2013 dmorgan <dmorgan> 2.0-1.mga4
+ Revision: 452640
- New version
- Install NOTICE file with javadoc package

* Sat Jan 12 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 359771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.7.1-1.mga3
+ Revision: 292675
- New version

* Tue Jul 10 2012 dmorgan <dmorgan> 1.5-2.mga3
+ Revision: 269145
- Migration to plexus-containers-component-metadata

* Fri Jan 06 2012 dmorgan <dmorgan> 1.5-1.mga2
+ Revision: 192178
- New version 1.5

* Wed Jul 20 2011 dmorgan <dmorgan> 1.4-5.mga2
+ Revision: 127428
- Build with maven 3.x.
    - Use upstream source.
    - Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4-4.mga1
+ Revision: 92726
- Rebuild after bootstrapping
- imported package maven-shade-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4-2
- Add jdependency also to Requires

* Thu Oct 14 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4-1
- Update to 1.4
- Add BR on jdependency >= 0.6
- Add patch to add dependency on maven-artifact-manager

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.3-2
- Replace plexus utils jar with symlink
- Create MAVEN_REPO_LOCAL dir before calling maven

* Tue Jun 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.3-1
- Initial package
